WriterPlsParserInternal::ParagraphInfo Struct Reference

Paragraph informations. More...

## Public Member Functions

| ParagraphInfo ()
int | getType () const

## Public Attributes

long | m_pos
int | m_type
int | m_height
int | m_height2
int | m_width
int | m_numLines
std::vector< int > | m_linesHeight
int | m_flags [6]
std::vector< int > | m_unknowns

## Friends

std::ostream & | operator<< (std::ostream &o, ParagraphInfo const &p)

## Detailed Description

Paragraph informations.

## Constructor & Destructor Documentation

## ParagraphInfo()

WriterPlsParserInternal::ParagraphInfo::ParagraphInfo | ( |  | ) |

inline

Referenced by operator<<.

## Member Function Documentation

## getType()

int WriterPlsParserInternal::ParagraphInfo::getType | ( |  | ) | const

inline

Referenced by WriterPlsParser::readText().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ParagraphInfo const & | p )

friend

## Member Data Documentation

## m_flags

int WriterPlsParserInternal::ParagraphInfo::m_flags[6]

Referenced by operator<<, ParagraphInfo(), and WriterPlsParser::readParagraphInfo().

## m_height

int WriterPlsParserInternal::ParagraphInfo::m_height

Referenced by operator<<, ParagraphInfo(), WriterPlsParser::readGraphic(), WriterPlsParser::readParagraphInfo(), and WriterPlsParser::readText().

## m_height2

int WriterPlsParserInternal::ParagraphInfo::m_height2

Referenced by operator<<, ParagraphInfo(), and WriterPlsParser::readParagraphInfo().

## m_linesHeight

std::vector<int> WriterPlsParserInternal::ParagraphInfo::m_linesHeight

Referenced by operator<<, ParagraphInfo(), and WriterPlsParser::readParagraphInfo().

## m_numLines

int WriterPlsParserInternal::ParagraphInfo::m_numLines

Referenced by operator<<, ParagraphInfo(), and WriterPlsParser::readParagraphInfo().

## m_pos

long WriterPlsParserInternal::ParagraphInfo::m_pos

Referenced by operator<<, ParagraphInfo(), WriterPlsParser::readGraphic(), WriterPlsParser::readParagraphData(), WriterPlsParser::readParagraphInfo(), WriterPlsParser::readSection(), WriterPlsParser::readTable(), and WriterPlsParser::readText().

## m_type

int WriterPlsParserInternal::ParagraphInfo::m_type

Referenced by getType(), operator<<, ParagraphInfo(), WriterPlsParser::readParagraphData(), and WriterPlsParser::readParagraphInfo().

## m_unknowns

std::vector<int> WriterPlsParserInternal::ParagraphInfo::m_unknowns

Referenced by operator<<, ParagraphInfo(), and WriterPlsParser::readParagraphInfo().

## m_width

int WriterPlsParserInternal::ParagraphInfo::m_width

Referenced by operator<<, ParagraphInfo(), and WriterPlsParser::readParagraphInfo().

The documentation for this struct was generated from the following file:

- WriterPlsParser.cxx